commit:     badcd9a45fc25eb103db27f77f7cb6d14e636aa7
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu May 22 20:02:57 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu May 22 20:03:15 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=badcd9a4

sys-libs/libunwind: add 1.8.2

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-libs/libunwind/Manifest               |   1 +
 sys-libs/libunwind/libunwind-1.8.2.ebuild | 134 ++++++++++++++++++++++++++++++
 2 files changed, 135 insertions(+)

diff --git a/sys-libs/libunwind/Manifest b/sys-libs/libunwind/Manifest
index 8e783073b4ac..b35238f2b666 100644
--- a/sys-libs/libunwind/Manifest
+++ b/sys-libs/libunwind/Manifest
@@ -1,2 +1,3 @@
 DIST libunwind-1.8.0-docs.tar.xz 29280 BLAKE2B 
260c5011cf23422ec04449126259c9960b5549b94def8ffa3821ccc67809b5da06be22fb0b465fcee2f0ec89faebab71d2bf3316dc68315a27e0913856513b0a
 SHA512 
6969c8426dc5d79a78a9dae366a9e7b6f1d9a7ce307357913d4f5b8867a540ab8225b5342ee0e06e77b832ef76336fba41dadf12effa5236a076e6bfe72ec548
 DIST libunwind-1.8.1.tar.gz 958468 BLAKE2B 
936e70f2428d8f6ada3b4d58b3c9e3a9738eb2f7aee1ad5fb4e44dbb7400186d1bd1ead86a698e53d199d5944b102f8380d08b48104a138021286a79fb006ec3
 SHA512 
aba7b578c1b8cbe78f05b64e154f3530525f8a34668b2a9f1ee6acb4b22c857befe34ad4e9e8cca99dbb66689d41bc72060a8f191bd8be232725d342809431b3
+DIST libunwind-1.8.2.tar.gz 979922 BLAKE2B 
b198b186c616adf1302d153a12949ceab07608f8133e42454e6b10bdf9518a514ef15d5ba52ef75b11e5f73fa330205accd415cfc30e6fa3ddd9724cbb088737
 SHA512 
f1ff26763c1b2e68948413c4aec22303b6c886425a8264eb65fbd58fc202f79c7b04bd4784bd8499850d08933f0e363cfa3a7d177efdadc223ed0254bc381345

diff --git a/sys-libs/libunwind/libunwind-1.8.2.ebuild 
b/sys-libs/libunwind/libunwind-1.8.2.ebuild
new file mode 100644
index 000000000000..82797fa7612e
--- /dev/null
+++ b/sys-libs/libunwind/libunwind-1.8.2.ebuild
@@ -0,0 +1,134 @@
+# Copyright 2005-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Generate using 
https://github.com/thesamesam/sam-gentoo-scripts/blob/main/niche/generate-libunwind-docs
+# Set to 1 if prebuilt, 0 if not
+# (the construct below is to allow overriding from env for script)
+: ${LIBUNWIND_DOCS_PREBUILT:=1}
+
+LIBUNWIND_DOCS_PREBUILT_DEV=sam
+LIBUNWIND_DOCS_VERSION=1.8.0
+# Default to generating docs (inc. man pages) if no prebuilt; overridden later
+LIBUNWIND_DOCS_USEFLAG="+doc"
+
+inherit libtool multilib-minimal
+
+DESCRIPTION="Portable and efficient API to determine the call-chain of a 
program"
+HOMEPAGE="https://savannah.nongnu.org/projects/libunwind";
+
+if [[ ${PV} == 9999 ]] ; then
+       LIBUNWIND_DOCS_PREBUILT=0
+
+       EGIT_REPO_URI="https://github.com/libunwind/libunwind";
+       inherit autotools git-r3
+else
+       
SRC_URI="https://github.com/libunwind/libunwind/releases/download/v${PV/_rc/-rc}/${P/_rc/-rc}.tar.gz";
+       if [[ ${LIBUNWIND_DOCS_PREBUILT} == 1 ]] ; then
+               SRC_URI+=" !doc? ( 
https://dev.gentoo.org/~${LIBUNWIND_DOCS_PREBUILT_DEV}/distfiles/${CATEGORY}/${PN}/${PN}-${LIBUNWIND_DOCS_VERSION}-docs.tar.xz
 )"
+       fi
+       S="${WORKDIR}"/${P/_rc/-rc}
+
+       if [[ ${PV} != *_rc* ]] ; then
+               KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 
~riscv ~s390 -sparc ~x86 ~amd64-linux ~x86-linux"
+       fi
+fi
+
+[[ ${LIBUNWIND_DOCS_PREBUILT} == 1 ]] && LIBUNWIND_DOCS_USEFLAG="doc"
+
+LICENSE="MIT"
+SLOT="0/8" # libunwind.so.8
+IUSE="debug debug-frame ${LIBUNWIND_DOCS_USEFLAG} libatomic lzma static-libs 
test zlib"
+# XXX: if enabling tests again, make sure to arrange for deleting them so they 
don't get installed
+# https://github.com/libunwind/libunwind/pull/722
+RESTRICT="test !test? ( test )" # some tests are broken (toolchain version 
dependent, rely on external binaries)
+
+BDEPEND="
+       doc? ( app-text/texlive-core )
+"
+RDEPEND="
+       lzma? ( app-arch/xz-utils[static-libs?,${MULTILIB_USEDEP}] )
+       zlib? ( sys-libs/zlib[static-libs?,${MULTILIB_USEDEP}] )
+"
+# We just use the header from libatomic.
+DEPEND="
+       ${RDEPEND}
+       libatomic? ( dev-libs/libatomic_ops[${MULTILIB_USEDEP}] )
+"
+
+MULTILIB_WRAPPED_HEADERS=(
+       /usr/include/libunwind.h
+
+       # see libunwind.h for the full list of arch-specific headers
+       /usr/include/libunwind-aarch64.h
+       /usr/include/libunwind-arm.h
+       /usr/include/libunwind-hppa.h
+       /usr/include/libunwind-ia64.h
+       /usr/include/libunwind-mips.h
+       /usr/include/libunwind-ppc32.h
+       /usr/include/libunwind-ppc64.h
+       /usr/include/libunwind-riscv.h
+       /usr/include/libunwind-sh.h
+       /usr/include/libunwind-tilegx.h
+       /usr/include/libunwind-x86.h
+       /usr/include/libunwind-x86_64.h
+)
+
+src_prepare() {
+       default
+
+       chmod +x src/ia64/mk_cursor_i || die
+
+       if [[ ${PV} == 9999 ]] ; then
+               eautoreconf
+       else
+               elibtoolize
+       fi
+}
+
+multilib_src_configure() {
+       local myeconfargs=(
+               # --enable-cxx-exceptions: always enable it, headers provide 
the interface
+               # and on some archs it is disabled by default causing a 
mismatch between the
+               # API and the ABI, bug #418253
+               --enable-cxx-exceptions
+               --enable-coredump
+               --enable-ptrace
+               --enable-setjmp
+               $(use_enable debug-frame)
+               $(multilib_native_use_enable doc documentation)
+               $(use_enable lzma minidebuginfo)
+               $(use_enable static-libs static)
+               $(use_enable zlib zlibdebuginfo)
+               # conservative-checks: validate memory addresses before use; as 
of 1.0.1,
+               # only x86_64 supports this, yet may be useful for debugging, 
couple it with
+               # debug useflag.
+               $(use_enable debug conservative_checks)
+               $(use_enable debug)
+               $(use_enable test tests)
+       )
+
+       export ac_cv_header_atomic_ops_h=$(usex libatomic)
+
+       ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_compile() {
+       # bug #586208
+       CCACHE_NODIRECT=1 default
+}
+
+multilib_src_test() {
+       # Sandbox causes some tests to freak out.
+       SANDBOX_ON=0 emake check
+}
+
+multilib_src_install_all() {
+       find "${ED}" -name "*.la" -type f -delete || die
+
+       # If USE=doc, there'll be newly generated docs which we install instead.
+       if ! use doc && [[ ${LIBUNWIND_DOCS_PREBUILT} == 1 ]] ; then
+               doman 
"${WORKDIR}"/${PN}-${LIBUNWIND_DOCS_VERSION}-docs/man*/*.[0-8]
+       fi
+}

Reply via email to